package com.yushu.system.mapper;

import java.util.List;
import com.yushu.system.domain.SysFileInfo;

/**
 * 文件Mapper接口
 * 
 * @author yushu
 * @date 2024-11-15
 */
public interface SysFileMapper 
{
    /**
     * 查询文件
     * 
     * @param fileId 文件主键
     * @return 文件
     */
    public SysFileInfo selectSysFileByFileId(Long fileId);

    /**
     * 查询文件列表
     * 
     * @param sysFile 文件
     * @return 文件集合
     */
    public List<SysFileInfo> selectSysFileList(SysFileInfo sysFile);

    /**
     * 新增文件
     * 
     * @param sysFile 文件
     * @return 结果
     */
    public int insertSysFile(SysFileInfo sysFile);

    /**
     * 修改文件
     * 
     * @param sysFile 文件
     * @return 结果
     */
    public int updateSysFile(SysFileInfo sysFile);

    /**
     * 删除文件
     * 
     * @param fileId 文件主键
     * @return 结果
     */
    public int deleteSysFileByFileId(Long fileId);

    /**
     * 批量删除文件
     * 
     * @param fileIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysFileByFileIds(Long[] fileIds);
    
    /**
     * 查询文件夹下的文件数量
     * 
     * @param folderId 文件夹ID
     * @return 结果
     */
    public int selectFileCountByFolderId(Long folderId);
    
    /**
     * 增加下载次数
     * 
     * @param fileId 文件ID
     * @return 结果
     */
    public int increaseDownloadCount(Long fileId);
    
    /**
     * 删除文件夹下的所有文件
     * 
     * @param folderId 文件夹ID
     * @return 结果
     */
    public int deleteFilesByFolderId(Long folderId);
}
